Loading...
Searching...
No Matches
casacore::ReadOnlyMatrixIterator< T > Class Template Reference
casa package (libcasa_casa) » Arrays_module

Iterate a Matrix cursor through a R/O Array. More...

`#include <MatrixIter.h>`

## Public Member Functions

| ReadOnlyMatrixIterator (const Array< T > &a)
| ReadOnlyMatrixIterator (const Array< T > &a, size_t cursorAxis1, size_t cursorAxis2)
void | next ()
void | reset ()
void | origin ()
const Array< T > & | array ()
const Matrix< T > & | matrix ()
bool | atStart () const
bool | pastEnd () const
const IPosition & | pos () const
IPosition | endPos () const
size_t | ndim () const

## Private Member Functions

| ReadOnlyMatrixIterator (const ReadOnlyMatrixIterator< T > &)=delete
| Not implemented.
ReadOnlyMatrixIterator< T > & | operator= (const ReadOnlyMatrixIterator< T > &)=delete
| Not implemented.

## Private Attributes

MatrixIterator< T > | mi

## Detailed Description

template<class T>
class casacore::ReadOnlyMatrixIterator< T >

Iterate a Matrix cursor through a R/O Array.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

ReadOnlyMatrixIterator behaves exactly like MatrixIterator (cf.) only it should be used on const Arrays.

Tip: Note that the R/O MatrixIterator is not derived from R/O ArrayIterator;

Definition at line 99 of file MatrixIter.h.

## Constructor & Destructor Documentation

## ReadOnlyMatrixIterator() [1/3]

template<class T>

casacore::ReadOnlyMatrixIterator< T >::ReadOnlyMatrixIterator | ( | const Array< T > & | a | ) |

inline

Definition at line 103 of file MatrixIter.h.

References mi.

Referenced by operator=(), and ReadOnlyMatrixIterator().

## ReadOnlyMatrixIterator() [2/3]

template<class T>

casacore::ReadOnlyMatrixIterator< T >::ReadOnlyMatrixIterator | ( | const Array< T > & | a,
|  | size_t | cursorAxis1,
|  | size_t | cursorAxis2 )

inline

Definition at line 106 of file MatrixIter.h.

References mi.

## ReadOnlyMatrixIterator() [3/3]

template<class T>

casacore::ReadOnlyMatrixIterator< T >::ReadOnlyMatrixIterator | ( | const ReadOnlyMatrixIterator< T > & |  | ) |

private delete

Not implemented.

References ReadOnlyMatrixIterator().

## Member Function Documentation

## array()

template<class T>

const Array< T > & casacore::ReadOnlyMatrixIterator< T >::array | ( |  | ) |

inline

Definition at line 114 of file MatrixIter.h.

References mi.

## atStart()

template<class T>

bool casacore::ReadOnlyMatrixIterator< T >::atStart | ( |  | ) | const

inline

Definition at line 117 of file MatrixIter.h.

References mi.

## endPos()

template<class T>

IPosition casacore::ReadOnlyMatrixIterator< T >::endPos | ( |  | ) | const

inline

Definition at line 120 of file MatrixIter.h.

References mi.

## matrix()

template<class T>

const Matrix< T > & casacore::ReadOnlyMatrixIterator< T >::matrix | ( |  | ) |

inline

Definition at line 115 of file MatrixIter.h.

References mi.

## ndim()

template<class T>

size_t casacore::ReadOnlyMatrixIterator< T >::ndim | ( |  | ) | const

inline

Definition at line 121 of file MatrixIter.h.

References mi.

## next()

template<class T>

void casacore::ReadOnlyMatrixIterator< T >::next | ( |  | ) |

inline

Definition at line 110 of file MatrixIter.h.

References mi.

## operator=()

template<class T>

ReadOnlyMatrixIterator< T > & casacore::ReadOnlyMatrixIterator< T >::operator= | ( | const ReadOnlyMatrixIterator< T > & |  | ) |

private delete

Not implemented.

References ReadOnlyMatrixIterator().

## origin()

template<class T>

void casacore::ReadOnlyMatrixIterator< T >::origin | ( |  | ) |

inline

Definition at line 112 of file MatrixIter.h.

References mi.

## pastEnd()

template<class T>

bool casacore::ReadOnlyMatrixIterator< T >::pastEnd | ( |  | ) | const

inline

Definition at line 118 of file MatrixIter.h.

References mi.

## pos()

template<class T>

const IPosition & casacore::ReadOnlyMatrixIterator< T >::pos | ( |  | ) | const

inline

Definition at line 119 of file MatrixIter.h.

References mi.

## reset()

template<class T>

void casacore::ReadOnlyMatrixIterator< T >::reset | ( |  | ) |

inline

Definition at line 111 of file MatrixIter.h.

References mi.

## Member Data Documentation

## mi

template<class T>

MatrixIterator<T> casacore::ReadOnlyMatrixIterator< T >::mi

private

Definition at line 129 of file MatrixIter.h.

Referenced by array(), atStart(), endPos(), matrix(), ndim(), next(), origin(), pastEnd(), pos(), ReadOnlyMatrixIterator(), ReadOnlyMatrixIterator(), and reset().

The documentation for this class was generated from the following file:

- casa/Arrays/MatrixIter.h